This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 231305 - Review Request: xml-security - Implementation of W3C security standards for XML
Review Request: xml-security - Implementation of W3C security standards for XML
Status: CLOSED DUPLICATE of bug 532535
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Package Reviews List
:
: 252113 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-07 11:18 EST by Permaine Cheung
Modified: 2010-01-07 12:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 12:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review?


Attachments (Terms of Use)
build log for FC-devel (1.83 KB, text/plain)
2007-03-08 19:13 EST, Xavier Lamien
no flags Details

  None (edit)
Description Permaine Cheung 2007-03-07 11:18:43 EST
Spec URL: https://pcheung.108.redhat.com/files/documents/174/270/xml-security.spec
SRPM URL: http://mirrors.dotsrc.org/jpackage/1.7/generic/free/SRPMS/xml-security-1.3.0-1jpp.src.rpm
Description: The XML Security project is aimed at providing implementation 
of security standards for XML. Currently the focus is on the 
W3C standards :
- XML-Signature Syntax and Processing; and
- XML Encryption Syntax and Processing.
Once these are implemented, XML Key Management is likely to 
be the next focus for the project.
Two libraries are currently available.
A Java library, which includes a mature Digital Signature 
implementation. Encryption is currently under development.
A C++ library is also now available. Functionality is 
currently more basic than that provided by the Java library.
Comment 1 Anthony Green 2007-03-07 11:47:46 EST
This package currently fails to build due to the Java Trap...

    [javac] 7. ERROR in
/usr/src/redhat/BUILD/xml-security/src/org/apache/xml/security/keys/content/x509/XMLX509
    [javac] SKI.java (at line 35)
    [javac]     import sun.security.util.DerValue;
    [javac]            ^^^^^^^^^^^^
    [javac] The import sun.security cannot be resolved

I hope there is a work-around.
Comment 2 Xavier Lamien 2007-03-08 19:13:01 EST
Created attachment 149661 [details]
build log for FC-devel

Mock fails on Fc-devel (i386), see attached file for more details.
Comment 3 Permaine Cheung 2007-03-13 11:15:41 EDT
I'm seeing the same error (The import sun.security cannot be resolved) when
trying  to build in mock, I'm not sure how to fix it, but will look into it.
Comment 4 Permaine Cheung 2007-03-14 17:08:35 EDT
I found gnu/java/security/der/DERValue, which may be a replacement for it. I
asked on the classpath irc, and was told that the code should use the proper api
rather than a sun or gnu class, but wasn't able to find the proper api yet.
Comment 5 Permaine Cheung 2007-03-19 21:05:28 EDT
I can't find the proper api for it, any idea how this can be fixed?
Comment 6 Jason Tibbitts 2007-06-05 14:43:57 EDT
Setting the fedora-review flag so this doesn't appear on the new ticket list.
Comment 7 Vivek Lakshmanan 2007-08-13 19:29:36 EDT
*** Bug 252113 has been marked as a duplicate of this bug. ***
Comment 8 Jason Tibbitts 2008-01-19 20:17:42 EST
Anything going on here?
Comment 9 Permaine Cheung 2008-01-23 13:29:44 EST
The import on sun.security is fixed in 1.4.1, however, some of the unit tests fail.
Comment 10 Jerry James 2008-10-16 16:56:03 EDT
Does 1.4.2 fix the problems?  If not, is there anything I can do to help resolve the remaining issues?
Comment 11 Anthony Green 2008-11-10 16:29:25 EST
(In reply to comment #9)
> The import on sun.security is fixed in 1.4.1, however, some of the unit tests
> fail.

I dropped the ball here.  Is there a newer package I can review?

Thanks,

AG
Comment 12 Jerry James 2009-03-18 17:58:42 EDT
What's happening with this package?  Is anyone working on it?
Comment 13 Mary Ellen Foster 2009-11-16 16:30:00 EST
Is anyone working on this? Now that OpenJDK is around, building against sun.* is no longer a showstopper ... I have a newer review request at https://bugzilla.redhat.com/show_bug.cgi?id=532535 if anyone else is still interested in it.
Comment 14 Orion Poplawski 2010-01-07 12:33:59 EST

*** This bug has been marked as a duplicate of bug 532535 ***

Note You need to log in before you can comment on or make changes to this bug.